# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pwsp"
version = "1.5.0"
authors = ["arabian"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PWSP lets you play audio files through your microphone. Has both CLI and GUI clients."
homepage = "https://pwsp.arabianq.ru"
readme = "README.md"
keywords = [
    "soundpad",
    "pipewire",
    "linux",
    "cli",
    "gui",
]
license = "MIT"
repository = "https://github.com/arabianq/pipewire-soundpad"

[package.metadata.deb]
assets = [
    [
    "target/release/pwsp-daemon",
    "usr/bin/",
    "755",
],
    [
    "target/release/pwsp-cli",
    "usr/bin/",
    "755",
],
    [
    "target/release/pwsp-gui",
    "usr/bin/",
    "755",
],
    [
    "assets/pwsp-gui.desktop",
    "usr/share/applications/pwsp.desktop",
    "644",
],
    [
    "assets/icon.png",
    "usr/share/icons/hicolor/256x256/apps/pwsp.png",
    "644",
],
    [
    "assets/pwsp-daemon.service",
    "usr/lib/systemd/user/pwsp-daemon.service",
    "644",
],
]

[lib]
name = "pwsp"
path = "src/lib.rs"

[[bin]]
name = "pwsp-cli"
path = "src/bin/cli.rs"

[[bin]]
name = "pwsp-daemon"
path = "src/bin/daemon.rs"

[[bin]]
name = "pwsp-gui"
path = "src/main.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.clap]
version = "4.5.55"
features = [
    "std",
    "suggestions",
    "help",
    "usage",
    "error-context",
    "derive",
]
default-features = false

[dependencies.dirs]
version = "6.0.0"

[dependencies.eframe]
version = "0.33.3"
features = [
    "default_fonts",
    "glow",
    "x11",
    "wayland",
]
default-features = false

[dependencies.egui]
version = "0.33.3"
features = [
    "default_fonts",
    "rayon",
]
default-features = false

[dependencies.egui_dnd]
version = "0.14.0"

[dependencies.egui_material_icons]
version = "0.5.0"

[dependencies.itertools]
version = "0.14.0"

[dependencies.pipewire]
version = "0.9.2"

[dependencies.rfd]
version = "0.17.2"
features = ["xdg-portal"]
default-features = false

[dependencies.rodio]
version = "0.21.1"
features = [
    "symphonia-all",
    "playback",
]
default-features = false

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tokio]
version = "1.49.0"
features = ["full"]

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
strip = true
